Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 260919 - media-tv/dvbstreamer: uses -Werror during build _and_ that makes it fail with gcc 4.4
Summary: media-tv/dvbstreamer: uses -Werror during build _and_ that makes it fail with...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Television related Applications in Gentoo's Portage
URL: http://blog.flameeyes.eu/2009/02/25/f...
Whiteboard:
Keywords:
Depends on:
Blocks: werror gcc-4.4
  Show dependency tree
 
Reported: 2009-03-02 14:40 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2009-08-10 07:53 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2009-03-02 14:40:27 UTC
Hello,

you're receiving this canned bug because the package in summary uses the flag -Werror during build, which transforms warnings in errors, and is prone to break software when new GCC releases are added to Gentoo.

Please make sure your package does not use -Werror during build, so that it can be more future-proof for the new GCC releases.

Thanks,
Diego
Comment 1 Joost Ruis 2009-07-06 06:44:07 UTC
...
Making all in include
Making all in include/dvbpsi
Making all in src/dvbpsi
Making all in src
libtool: link: i686-pc-linux-gnu-gcc -I../include -Wall -Werror -D_GNU_SOURCE -O2 -march=i686 -pipe -Wl,-O1 -Wl,--as-needed -o dvbctrl dvbctrl.o logging.o
libtool: link: i686-pc-linux-gnu-gcc -I../include -Wall -Werror -D_GNU_SOURCE -O2 -march=i686 -pipe -Wl,-O1 -Wl,--as-needed -o setupdvbstreamer setup.o logging.o parsezap.o multiplexes.o services.o dbase.o objects.o events.o list.o lnb.o  /usr/lib/libsqlite3.so -lpthread
libtool: link: i686-pc-linux-gnu-gcc -I../include -Wall -Werror -D_GNU_SOURCE -O2 -march=i686 -pipe -rdynamic -Wl,-whole-archive -Wl,dvbpsi/libdvbpsi.a -Wl,-no-whole-archive -Wl,-O1 -Wl,--as-needed -o dvbstreamer main.o tuning.o dvb.o objects.o multiplexes.o services.o pids.o ts.o patprocessor.o pmtprocessor.o servicefilter.o dbase.o cache.o logging.o commands.o cmd_servicefilter.o cmd_info.o cmd_scanning.o remoteintf.o list.o deliverymethod.o pluginmgr.o sectionprocessor.o pesprocessor.o subtableprocessor.o epgdbase.o utf8.o events.o messageq.o deferredproc.o atsctext.o psipprocessor.o sdtprocessor.o nitprocessor.o tdtprocessor.o dvbtext.o  /usr/lib/libsqlite3.so -lpthread -lreadline -lrt -lncurses ../libltdl/.libs/libltdlc.a -ldl
Making all in src/plugins
libtool: compile:  i686-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I../.. -I../../include -Wall -Werror -D_GNU_SOURCE -O2 -march=i686 -pipe -MT udp.lo -MD -MP -MF .deps/udp.Tpo -c udp.c  -fPIC -DPIC -o .libs/udp.o
libtool: compile:  i686-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I../.. -I../../include -Wall -Werror -D_GNU_SOURCE -O2 -march=i686 -pipe -MT udpoutput.lo -MD -MP -MF .deps/udpoutput.Tpo -c udpoutput.c  -fPIC -DPIC -o .libs/udpoutput.o
libtool: compile:  i686-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I../.. -I../../include -Wall -Werror -D_GNU_SOURCE -O2 -march=i686 -pipe -MT udp.lo -MD -MP -MF .deps/udp.Tpo -c udp.c -o udp.o >/dev/null 2>&1
libtool: compile:  i686-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I../.. -I../../include -Wall -Werror -D_GNU_SOURCE -O2 -march=i686 -pipe -MT udpoutput.lo -MD -MP -MF .deps/udpoutput.Tpo -c udpoutput.c -o udpoutput.o >/dev/null 2>&1
libtool: compile:  i686-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I../.. -I../../include -Wall -Werror -D_GNU_SOURCE -O2 -march=i686 -pipe -MT sap.lo -MD -MP -MF .deps/sap.Tpo -c sap.c  -fPIC -DPIC -o .libs/sap.o
cc1: warnings being treated as errors
sap.c: In function 'SAPServer':
sap.c:226: error: dereferencing pointer 'sockAddr4' does break strict-aliasing rules
sap.c:227: error: dereferencing pointer 'sockAddr4' does break strict-aliasing rules
sap.c:198: note: initialized from here
sap.c:236: error: dereferencing pointer 'sockAddr6' does break strict-aliasing rules
sap.c:237: error: dereferencing pointer 'sockAddr6' does break strict-aliasing rules
sap.c:238: error: dereferencing pointer 'sockAddr6' does break strict-aliasing rules
sap.c:242: error: dereferencing pointer 'sockAddr6' does break strict-aliasing rules
sap.c:234: note: initialized from here
make[2]: *** [sap.lo] Error 1
make[2]: *** Waiting for unfinished jobs....
make[1]: *** [all-recursive] Error 1
make: *** [all] Error 2

See it happening here Diego. Any known workaround on the user end?
Comment 2 Diego Elio Pettenò (RETIRED) gentoo-dev 2009-07-29 10:47:45 UTC
-Wno-error in CFLAGS or appended to the ebuild would be nice.

And this just prove my point that -Werror should not be used by the way.
Comment 3 Samuli Suominen gentoo-dev 2009-08-10 07:53:02 UTC
fixed